### Hierarchy

- unknown
  - CountryBasedPaymentAccountPayload

## Index

### Constructors

- constructor

### Methods

- addAcceptedCountryCodes
- clearAcceptedCountryCodesList
- clearBankAccountPayload
- clearBizumAccountPayload
- clearCashDepositAccountPayload
- clearF2fAccountPayload
- clearIfscBasedAccountPayload
- clearNequiAccountPayload
- clearPaytmAccountPayload
- clearPixAccountPayload
- clearSatispayAccountPayload
- clearSepaAccountPayload
- clearSepaInstantAccountPayload
- clearStrikeAccountPayload
- clearSwiftAccountPayload
- clearTikkieAccountPayload
- clearTransferwiseUsdAccountPayload
- clearUpiAccountPayload
- clearWesternUnionAccountPayload
- getAcceptedCountryCodesList
- getBankAccountPayload
- getBizumAccountPayload
- getCashDepositAccountPayload
- getCountryCode
- getF2fAccountPayload
- getIfscBasedAccountPayload
- getMessageCase
- getNequiAccountPayload
- getPaytmAccountPayload
- getPixAccountPayload
- getSatispayAccountPayload
- getSepaAccountPayload
- getSepaInstantAccountPayload
- getStrikeAccountPayload
- getSwiftAccountPayload
- getTikkieAccountPayload
- getTransferwiseUsdAccountPayload
- getUpiAccountPayload
- getWesternUnionAccountPayload
- hasBankAccountPayload
- hasBizumAccountPayload
- hasCashDepositAccountPayload
- hasF2fAccountPayload
- hasIfscBasedAccountPayload
- hasNequiAccountPayload
- hasPaytmAccountPayload
- hasPixAccountPayload
- hasSatispayAccountPayload
- hasSepaAccountPayload
- hasSepaInstantAccountPayload
- hasStrikeAccountPayload
- hasSwiftAccountPayload
- hasTikkieAccountPayload
- hasTransferwiseUsdAccountPayload
- hasUpiAccountPayload
- hasWesternUnionAccountPayload
- serializeBinary
- setAcceptedCountryCodesList
- setBankAccountPayload
- setBizumAccountPayload
- setCashDepositAccountPayload
- setCountryCode
- setF2fAccountPayload
- setIfscBasedAccountPayload
- setNequiAccountPayload
- setPaytmAccountPayload
- setPixAccountPayload
- setSatispayAccountPayload
- setSepaAccountPayload
- setSepaInstantAccountPayload
- setStrikeAccountPayload
- setSwiftAccountPayload
- setTikkieAccountPayload
- setTransferwiseUsdAccountPayload
- setUpiAccountPayload
- setWesternUnionAccountPayload
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CountryBasedPaymentAccountPayload(): CountryBasedPaymentAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns CountryBasedPaymentAccountPayload

## Methods

### addAcceptedCountryCodes

- addAcceptedCountryCodes(value: string, index?: number): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4422

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns CountryBasedPaymentAccountPayload

### clearAcceptedCountryCodesList

- clearAcceptedCountryCodesList(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4421

  #### Returns CountryBasedPaymentAccountPayload

### clearBankAccountPayload

- clearBankAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4427

  #### Returns CountryBasedPaymentAccountPayload

### clearBizumAccountPayload

- clearBizumAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4477

  #### Returns CountryBasedPaymentAccountPayload

### clearCashDepositAccountPayload

- clearCashDepositAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4432

  #### Returns CountryBasedPaymentAccountPayload

### clearF2fAccountPayload

- clearF2fAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4452

  #### Returns CountryBasedPaymentAccountPayload

### clearIfscBasedAccountPayload

- clearIfscBasedAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4467

  #### Returns CountryBasedPaymentAccountPayload

### clearNequiAccountPayload

- clearNequiAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4472

  #### Returns CountryBasedPaymentAccountPayload

### clearPaytmAccountPayload

- clearPaytmAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4462

  #### Returns CountryBasedPaymentAccountPayload

### clearPixAccountPayload

- clearPixAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4482

  #### Returns CountryBasedPaymentAccountPayload

### clearSatispayAccountPayload

- clearSatispayAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4487

  #### Returns CountryBasedPaymentAccountPayload

### clearSepaAccountPayload

- clearSepaAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4437

  #### Returns CountryBasedPaymentAccountPayload

### clearSepaInstantAccountPayload

- clearSepaInstantAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4447

  #### Returns CountryBasedPaymentAccountPayload

### clearStrikeAccountPayload

- clearStrikeAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4492

  #### Returns CountryBasedPaymentAccountPayload

### clearSwiftAccountPayload

- clearSwiftAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4507

  #### Returns CountryBasedPaymentAccountPayload

### clearTikkieAccountPayload

- clearTikkieAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4497

  #### Returns CountryBasedPaymentAccountPayload

### clearTransferwiseUsdAccountPayload

- clearTransferwiseUsdAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4502

  #### Returns CountryBasedPaymentAccountPayload

### clearUpiAccountPayload

- clearUpiAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4457

  #### Returns CountryBasedPaymentAccountPayload

### clearWesternUnionAccountPayload

- clearWesternUnionAccountPayload(): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4442

  #### Returns CountryBasedPaymentAccountPayload

### getAcceptedCountryCodesList

- getAcceptedCountryCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:4419

  #### Returns string[]

### getBankAccountPayload

- getBankAccountPayload(): undefined | BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4424

  #### Returns undefined | BankAccountPayload

### getBizumAccountPayload

- getBizumAccountPayload(): undefined | BizumAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4474

  #### Returns undefined | BizumAccountPayload

### getCashDepositAccountPayload

- getCashDepositAccountPayload(): undefined | CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4429

  #### Returns undefined | CashDepositAccountPayload

### getCountryCode

- getCountryCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:4416

  #### Returns string

### getF2fAccountPayload

- getF2fAccountPayload(): undefined | F2FAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4449

  #### Returns undefined | F2FAccountPayload

### getIfscBasedAccountPayload

- getIfscBasedAccountPayload(): undefined | IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4464

  #### Returns undefined | IfscBasedAccountPayload

### getMessageCase

- getMessageCase(): CountryBasedPaymentAccountPayload . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:4509

  #### Returns CountryBasedPaymentAccountPayload . MessageCase

### getNequiAccountPayload

- getNequiAccountPayload(): undefined | NequiAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4469

  #### Returns undefined | NequiAccountPayload

### getPaytmAccountPayload

- getPaytmAccountPayload(): undefined | PaytmAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4459

  #### Returns undefined | PaytmAccountPayload

### getPixAccountPayload

- getPixAccountPayload(): undefined | PixAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4479

  #### Returns undefined | PixAccountPayload

### getSatispayAccountPayload

- getSatispayAccountPayload(): undefined | SatispayAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4484

  #### Returns undefined | SatispayAccountPayload

### getSepaAccountPayload

- getSepaAccountPayload(): undefined | SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4434

  #### Returns undefined | SepaAccountPayload

### getSepaInstantAccountPayload

- getSepaInstantAccountPayload(): undefined | SepaInstantAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4444

  #### Returns undefined | SepaInstantAccountPayload

### getStrikeAccountPayload

- getStrikeAccountPayload(): undefined | StrikeAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4489

  #### Returns undefined | StrikeAccountPayload

### getSwiftAccountPayload

- getSwiftAccountPayload(): undefined | SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4504

  #### Returns undefined | SwiftAccountPayload

### getTikkieAccountPayload

- getTikkieAccountPayload(): undefined | TikkieAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4494

  #### Returns undefined | TikkieAccountPayload

### getTransferwiseUsdAccountPayload

- getTransferwiseUsdAccountPayload(): undefined | TransferwiseUsdAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4499

  #### Returns undefined | TransferwiseUsdAccountPayload

### getUpiAccountPayload

- getUpiAccountPayload(): undefined | UpiAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4454

  #### Returns undefined | UpiAccountPayload

### getWesternUnionAccountPayload

- getWesternUnionAccountPayload(): undefined | WesternUnionAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4439

  #### Returns undefined | WesternUnionAccountPayload

### hasBankAccountPayload

- hasBankAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4426

  #### Returns boolean

### hasBizumAccountPayload

- hasBizumAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4476

  #### Returns boolean

### hasCashDepositAccountPayload

- hasCashDepositAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4431

  #### Returns boolean

### hasF2fAccountPayload

- hasF2fAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4451

  #### Returns boolean

### hasIfscBasedAccountPayload

- hasIfscBasedAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4466

  #### Returns boolean

### hasNequiAccountPayload

- hasNequiAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4471

  #### Returns boolean

### hasPaytmAccountPayload

- hasPaytmAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4461

  #### Returns boolean

### hasPixAccountPayload

- hasPixAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4481

  #### Returns boolean

### hasSatispayAccountPayload

- hasSatispayAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4486

  #### Returns boolean

### hasSepaAccountPayload

- hasSepaAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4436

  #### Returns boolean

### hasSepaInstantAccountPayload

- hasSepaInstantAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4446

  #### Returns boolean

### hasStrikeAccountPayload

- hasStrikeAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4491

  #### Returns boolean

### hasSwiftAccountPayload

- hasSwiftAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4506

  #### Returns boolean

### hasTikkieAccountPayload

- hasTikkieAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4496

  #### Returns boolean

### hasTransferwiseUsdAccountPayload

- hasTransferwiseUsdAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4501

  #### Returns boolean

### hasUpiAccountPayload

- hasUpiAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4456

  #### Returns boolean

### hasWesternUnionAccountPayload

- hasWesternUnionAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4441

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4511

  #### Returns Uint8Array

### setAcceptedCountryCodesList

- setAcceptedCountryCodesList(value: string[]): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4420

  #### Parameters

  - ##### value: string[]

  #### Returns CountryBasedPaymentAccountPayload

### setBankAccountPayload

- setBankAccountPayload(value?: BankAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4425

  #### Parameters

  - ##### Optional value: BankAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setBizumAccountPayload

- setBizumAccountPayload(value?: BizumAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4475

  #### Parameters

  - ##### Optional value: BizumAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setCashDepositAccountPayload

- setCashDepositAccountPayload(value?: CashDepositAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4430

  #### Parameters

  - ##### Optional value: CashDepositAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setCountryCode

- setCountryCode(value: string): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4417

  #### Parameters

  - ##### value: string

  #### Returns CountryBasedPaymentAccountPayload

### setF2fAccountPayload

- setF2fAccountPayload(value?: F2FAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4450

  #### Parameters

  - ##### Optional value: F2FAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setIfscBasedAccountPayload

- setIfscBasedAccountPayload(value?: IfscBasedAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4465

  #### Parameters

  - ##### Optional value: IfscBasedAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setNequiAccountPayload

- setNequiAccountPayload(value?: NequiAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4470

  #### Parameters

  - ##### Optional value: NequiAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setPaytmAccountPayload

- setPaytmAccountPayload(value?: PaytmAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4460

  #### Parameters

  - ##### Optional value: PaytmAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setPixAccountPayload

- setPixAccountPayload(value?: PixAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4480

  #### Parameters

  - ##### Optional value: PixAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setSatispayAccountPayload

- setSatispayAccountPayload(value?: SatispayAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4485

  #### Parameters

  - ##### Optional value: SatispayAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setSepaAccountPayload

- setSepaAccountPayload(value?: SepaAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4435

  #### Parameters

  - ##### Optional value: SepaAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setSepaInstantAccountPayload

- setSepaInstantAccountPayload(value?: SepaInstantAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4445

  #### Parameters

  - ##### Optional value: SepaInstantAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setStrikeAccountPayload

- setStrikeAccountPayload(value?: StrikeAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4490

  #### Parameters

  - ##### Optional value: StrikeAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setSwiftAccountPayload

- setSwiftAccountPayload(value?: SwiftAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4505

  #### Parameters

  - ##### Optional value: SwiftAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setTikkieAccountPayload

- setTikkieAccountPayload(value?: TikkieAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4495

  #### Parameters

  - ##### Optional value: TikkieAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setTransferwiseUsdAccountPayload

- setTransferwiseUsdAccountPayload(value?: TransferwiseUsdAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4500

  #### Parameters

  - ##### Optional value: TransferwiseUsdAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setUpiAccountPayload

- setUpiAccountPayload(value?: UpiAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4455

  #### Parameters

  - ##### Optional value: UpiAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### setWesternUnionAccountPayload

- setWesternUnionAccountPayload(value?: WesternUnionAccountPayload ): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4440

  #### Parameters

  - ##### Optional value: WesternUnionAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

### toObject

- toObject(includeInstance?: boolean): CountryBasedPaymentAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4512

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CountryBasedPaymentAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4515

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CountryBasedPaymentAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CountryBasedPaymentAccountPayload, reader: BinaryReader): CountryBasedPaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4516

  #### Parameters

  - ##### message: CountryBasedPaymentAccountPayload

  - ##### reader: BinaryReader

  #### Returns CountryBasedPaymentAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CountryBasedPaymentAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4514

  #### Parameters

  - ##### message: CountryBasedPaymentAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CountryBasedPaymentAccountPayload ): CountryBasedPaymentAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4513

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CountryBasedPaymentAccountPayload

  #### Returns CountryBasedPaymentAccountPayload . AsObject

Generated using TypeDoc